package com.kistlersensors.solo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Timer;

public class SOLOCommunication {
	public static void main(String[] args) throws IOException {
		String myIP = "xxx.xxx.xxx.xxx"; //Enter IP address of your SOLO here
		int myPort = 502;
		Socket mySocket = null;
		PrintWriter out = null;
		BufferedReader in = null;

		try {
			mySocket = new Socket(myIP, myPort);
			out = new PrintWriter(mySocket.getOutputStream(), true);
			in = new BufferedReader(new InputStreamReader(
					mySocket.getInputStream()));
		} catch (UnknownHostException e) {
			System.err.println("Don't know about host: " + myIP);
			System.exit(1);

		} catch (IOException e) {
			System.err.println("Couldn't get I/O for " + "the connection to: "
					+ myIP);
			System.exit(1);
		}

		System.out.println("Silo "+myIP +" is connected at port "+myPort);

		try {
			String command = "*1B1";
			out.write(command+ "\r\n");
			out.flush();
			char[] data = new char[1024];
			in.read(data);

			String str = new String(data);
			System.out.println("Command sent: " + command);
			System.out.println("Data received: " + str.trim().split("\\.")[0]);

		} catch (IOException e) {
			System.out.println("Read failed");
			System.exit(1);
		}

		out.close();
		in.close();
		mySocket.close();
	}
}
